JTS Topology Suite
==================

The JTS Topology Suite is a Java library for creating and manipulating vector geometry.  It also provides a comprehensive set of geometry test cases, and the TestBuilder GUI application for working with and visualizing geometry and JTS functions.

#### ![LocationTech](https://pbs.twimg.com/profile_images/2552421256/hv2oas84tv7n3maianiq_normal.png) JTS is in incubation with the [LocationTech](http://www.locationtech.org) working group of the Eclipse Foundation.

[![Build Status](https://api.travis-ci.org/locationtech/jts.svg)](http://travis-ci.org/locationtech/jts)

## Locations

* Git Repo: https://github.com/locationtech/jts
* Mailing List: https://locationtech.org/mailman/listinfo/jts-dev
* LocationTech Home: https://www.locationtech.org/projects/technology.jts

## License

JTS is open source software.  It is dual-licensed under:

* [Eclipse Public License 1.0](https://www.eclipse.org/legal/epl-v10.html)
* [Eclipse Distribution License 1.0](http://www.eclipse.org/org/documents/edl-v10.php) (a BSD Style License)

In addition:

* This product includes software developed by the [JDOM Project](http://www.jdom.org/) (Apache-style license)

## Documentation

* Javadoc: https://locationtech.github.io/jts/javadoc/index.html
* Installing and using JTS is described in the [User Guide](USING.md).
* Building and developing with JTS is described in the [Developing Guide](DEVELOPING.md).

## Contributing

If you are interested in contributing to JTS please read the [Contributing Guide](CONTRIBUTING.md).
